Package twisted :: Package im :: Module interfaces :: Class IGroupConversation |
[frames | no frames]

## Class IGroupConversation

    Interface --+
                |
               IGroupConversation

Method Summary
| ``hide`(self)` nor this neither.
| ``memberChangedNick`(self, oldnick, newnick)` Changes the oldnick in the list of members to newnick and displays this change to the user
| ``memberJoined`(self, member)` Adds the given member to the list of members in the group conversation and displays this to the user
| ``memberLeft`(self, member)` Deletes the given member from the list of members in the group conversation and displays the change to the user
| `sendText(self, text, metadata)`
| ``setGroupMembers`(self, members)` Sets the list of members in the group and displays it to the user
| ``setTopic`(self, topic, author)` Displays the topic (from the server) for the group conversation window
| ``show`(self)` doesn't seem like it belongs in this interface.
| `showGroupMessage(self, sender, text, metadata)`

Method Details

### hide(self) nor this neither.

### memberChangedNick(self, oldnick, newnick) Changes the oldnick in the list of members to newnick and displays this change to the user Parameters: `oldnick` (type=string (XXX: Not Person?)) `newnick` (type=string)

### memberJoined(self, member) Adds the given member to the list of members in the group conversation and displays this to the user Parameters: `member` (type=string (XXX: Not Person?))

### memberLeft(self, member) Deletes the given member from the list of members in the group conversation and displays the change to the user Parameters: `member` (type=string (XXX: Not Person?))

### setGroupMembers(self, members) Sets the list of members in the group and displays it to the user

### setTopic(self, topic, author) Displays the topic (from the server) for the group conversation window Parameters: `topic` (type=string) `author` (type=string (XXX: Not Person?))

### show(self) doesn't seem like it belongs in this interface.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:03 2003 | http://epydoc.sf.net